Bug 150457 - [patch] mail/mutt-devel does not recognize PGP markers with CRLF
Summary: [patch] mail/mutt-devel does not recognize PGP markers with CRLF
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David E. O'Brien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-10 01:00 UTC by Peter.Jeremy
Modified: 2010-09-24 22:30 UTC (History)
0 users

See Also:


Attachments
file.diff (5.08 KB, patch)
2010-09-10 01:00 UTC, Peter.Jeremy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter.Jeremy 2010-09-10 01:00:17 UTC
	A recent BUGTRAQ posting (archived at eg
	http://www.mail-archive.com/bugtraq@securityfocus.com/msg34961.html )
	contained CRLF terminated lines in the body.  Attempting to open
	this message resulted in the cryptic message "Could not copy message"
	in the bottom (status) line and no other indication of the problem.

	ktracing mutt revealed an additional error message:
	"-- Error: could not find beginning of PGP message! --"
	but this was not visible.

	After patching mutt (as below), the message was decoded correctly
	and reported a correct signature.

Fix: I'm not sure if the crypt-gpgme.c is required as crypt-gpgme.c
	is not compiled in my copy of mutt but the code matches that
	in pgp.c
How-To-Repeat: 	Create a PGP signed message with CRLF terminators on the PGP
	boundary markers and try to view it with mutt.  The failing
	BUGTRAQ mail is available on request but I'm not sure how to
	attach it without it being "mangled".
Comment 1 Edwin Groothuis freebsd_committer 2010-09-10 01:00:28 UTC
Maintainer of mail/mutt-devel,

Please note that PR ports/150457 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150457

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-10 01:00:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Udo.Schweigert 2010-09-18 16:22:48 UTC
This PR can be closed as it is included in PR ports/150703.

On Fri, Sep 10, 2010 at 00:00:28 +0000, Edwin Groothuis wrote:
> Maintainer of mail/mutt-devel,
> 
> Please note that PR ports/150457 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150457
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 David E. O'Brien freebsd_committer 2010-09-24 22:08:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

committing
Comment 5 dfilter service freebsd_committer 2010-09-24 22:29:06 UTC
obrien      2010-09-24 21:29:00 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt-devel      Makefile distinfo 
    mail/mutt-devel/files extra-patch-doc-xml extra-patch-sidebar 
                          extra-patch-sidebar-nntp patch-02 
                          patch-buffy.c patch-doc-manual.xml.head 
                          patch-mktemp patch-mutt-ssl.c 
  Log:
  Maintainer update to version 1.5.21.
  (also fixes handling of PGP messages containing CR/LF lines)
  
  PR:             150703, 150457, 150655
  Submitted by:   Udo.Schweigert@siemens.com (maintainer)
  
  Revision  Changes    Path
  1.313     +6 -11     ports/mail/mutt-devel/Makefile
  1.115     +15 -24    ports/mail/mutt-devel/distinfo
  1.4       +7 -7      ports/mail/mutt-devel/files/extra-patch-doc-xml
  1.6       +470 -718  ports/mail/mutt-devel/files/extra-patch-sidebar
  1.4       +377 -523  ports/mail/mutt-devel/files/extra-patch-sidebar-nntp
  1.26      +9 -9      ports/mail/mutt-devel/files/patch-02
  1.2       +0 -10     ports/mail/mutt-devel/files/patch-buffy.c
  1.5       +0 -9      ports/mail/mutt-devel/files/patch-doc-manual.xml.head
  1.6       +20 -12    ports/mail/mutt-devel/files/patch-mktemp
  1.2       +0 -11     ports/mail/mutt-devel/files/patch-mutt-ssl.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 David E. O'Brien freebsd_committer 2010-09-24 22:30:12 UTC
State Changed
From-To: feedback->closed

Fixed by PR ports/150703.